--- /dev/null
+Please copy these scripts to your clone-directory's .git/hooks/ directory to
+have e.g. unit-tests being run.
--- /dev/null
+#!/bin/sh
+
+echo "$0: Running unit tests ..."
+ant -silent test || exit 255
+
+echo "$0: All done."
--- /dev/null
+/*
+ * Copyright (C) 2022 Free Software Foundation
+ *
+ * This program is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program. If not, see <http://www.gnu.org/licenses/>.
+ */
+package org.mxchange.jcoreutils.comparable;
+
+import java.io.Serializable;
+
+/**
+ * An utilities class for comparison of objects/entities
+ * <p>
+ * @author Roland Häder<roland@mxchange.org>
+ */
+public class ComparableUtils implements Serializable {
+
+ /**
+ * Serial number
+ */
+ private static final long serialVersionUID = 19_286_457_671_390L;
+
+ /**
+ * Checks all comparison values if they are not zero and returns proper
+ * value. These comparators should come from an implementation of
+ * Comparable.compareTo().
+ * <p>
+ * @param comparators An array of at least one comparator
+ * <p>
+ * @return Comparison value
+ */
+ public static int checkAll (final int[] comparators) {
+ // Is array empty?
+ if (comparators.length == 0) {
+ // Should not happen
+ throw new IllegalArgumentException("comparators is empty."); //NOI18N
+ }
+
+ // Loop through all
+ for (int i = 0; i < comparators.length; i++) {
+ // Is it smaller or bigger?
+ if (comparators[i] < 0) {
+ return -1;
+ } else if (comparators[i] > 0) {
+ return 1;
+ }
+ }
+
+ // Assume equality
+ return 0;
+ }
+
+ /**
+ * Utility classes should not have instances
+ */
+ private ComparableUtils () {
+ }
+
+}
+++ /dev/null
-/*
- * Copyright (C) 2022 Free Software Foundation
- *
- * This program is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program. If not, see <http://www.gnu.org/licenses/>.
- */
-package org.mxchange.jcoreutils.comparable;
-
-import java.io.Serializable;
-
-/**
- * An utilities class for comparison of objects/entities
- * <p>
- * @author Roland Häder<roland@mxchange.org>
- */
-public class Comparables implements Serializable {
-
- /**
- * Serial number
- */
- private static final long serialVersionUID = 19_286_457_671_390L;
-
- /**
- * Checks all comparison values if they are not zero and returns proper
- * value. These comparators should come from an implementation of
- * Comparable.compareTo().
- * <p>
- * @param comparators An array of at least one comparator
- * <p>
- * @return Comparison value
- */
- public static int checkAll (final int[] comparators) {
- // Is array empty?
- if (comparators.length == 0) {
- // Should not happen
- throw new IllegalArgumentException("comparators is empty."); //NOI18N
- }
-
- // Loop through all
- for (int i = 0; i < comparators.length; i++) {
- // Is it smaller or bigger?
- if (comparators[i] < 0) {
- return -1;
- } else if (comparators[i] > 0) {
- return 1;
- }
- }
-
- // Assume equality
- return 0;
- }
-
- /**
- * Utility classes should not have instances
- */
- private Comparables () {
- }
-
-}
--- /dev/null
+/*
+ * Copyright (C) 2022 Roland Häder<roland@mxchange.org>
+ *
+ * This program is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program. If not, see <http://www.gnu.org/licenses/>.
+ */
+package org.mxchange.jcoreutils.test.comparable;
+
+import org.mxchange.jcoreutils.comparable.ComparableUtils;
+import org.testng.Assert;
+import org.testng.annotations.Test;
+
+/**
+ * Test cases for ComparableUtils utilities class
+ * <p>
+ * @author Roland Häder<roland@mxchange.org>
+ */
+public class ComparableUtilsTest {
+
+ /**
+ * Default constructor
+ */
+ public ComparableUtilsTest () {
+ }
+
+ @Test (description = "Tests if 1 is returned")
+ public void testAboveZero () {
+ // Test method
+ Assert.assertEquals(ComparableUtils.checkAll(new int[]{0, 0, 1}), 1);
+ Assert.assertEquals(ComparableUtils.checkAll(new int[]{0, 0, 10}), 1);
+ Assert.assertEquals(ComparableUtils.checkAll(new int[]{0, 0, 100}), 1);
+ }
+
+ @Test (description = "Tests if -1 is returned")
+ public void testBelowZero () {
+ // Test method
+ Assert.assertEquals(ComparableUtils.checkAll(new int[]{0, 0, -1}), -1);
+ Assert.assertEquals(ComparableUtils.checkAll(new int[]{0, 0, -10}), -1);
+ Assert.assertEquals(ComparableUtils.checkAll(new int[]{0, 0, -100}), -1);
+ }
+
+ @Test (description = "Tests if when provided array is empty a specific exception is thrown", expectedExceptions = {IllegalArgumentException.class})
+ public void testIllegalArgumentException () {
+ // Test method
+ ComparableUtils.checkAll(new int[]{});
+ }
+
+ @Test (description = "Tests if zero is returned")
+ public void testZero () {
+ // Test method
+ Assert.assertEquals(ComparableUtils.checkAll(new int[]{0, 0, 0}), 0);
+ }
+
+}
+++ /dev/null
-/*
- * Copyright (C) 2022 Roland Häder<roland@mxchange.org>
- *
- * This program is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program. If not, see <http://www.gnu.org/licenses/>.
- */
-package org.mxchange.jcoreutils.test.comparable;
-
-import org.mxchange.jcoreutils.comparable.Comparables;
-import org.testng.Assert;
-import org.testng.annotations.Test;
-
-/**
- * Test cases for Comparables utlities class
- * <p>
- * @author Roland Häder<roland@mxchange.org>
- */
-public class ComparablesTest {
-
- /**
- * Default constructor
- */
- public ComparablesTest () {
- }
-
- @Test (description = "Tests if 1 is returned")
- public void testAboveZero () {
- // Test method
- Assert.assertEquals(Comparables.checkAll(new int[]{0, 0, 1}), 1);
- Assert.assertEquals(Comparables.checkAll(new int[]{0, 0, 10}), 1);
- Assert.assertEquals(Comparables.checkAll(new int[]{0, 0, 100}), 1);
- }
-
- @Test (description = "Tests if -1 is returned")
- public void testBelowZero () {
- // Test method
- Assert.assertEquals(Comparables.checkAll(new int[]{0, 0, -1}), -1);
- Assert.assertEquals(Comparables.checkAll(new int[]{0, 0, -10}), -1);
- Assert.assertEquals(Comparables.checkAll(new int[]{0, 0, -100}), -1);
- }
-
- @Test (description = "Tests if when provided array is empty a specific exception is thrown", expectedExceptions = {IllegalArgumentException.class})
- public void testIllegalArgumentException () {
- // Test method
- Comparables.checkAll(new int[]{});
- }
-
- @Test (description = "Tests if zero is returned")
- public void testZero () {
- // Test method
- Assert.assertEquals(Comparables.checkAll(new int[]{0, 0, 0}), 0);
- }
-
-}